varying vec4 ambientDirColor;

void main()
{
	gl_Position = ftransform();
	gl_TexCoord[0] = gl_TextureMatrix[0] * gl_MultiTexCoord0;
	
	//Get vector normals and light vector in eye space
	vec3 normal = gl_NormalMatrix * gl_Normal;
	vec4 vertEyePos = gl_ModelViewMatrix*gl_Vertex;
	vec3 lightVector = normalize(gl_LightSource[0].position.xyz - vertEyePos.xyz);

	//Find the normal from the light vector
	float nxDir = max(0.0,dot(normal, lightVector)+.0);
	
	//Calculate the diffuse brightness of the light, depending on direction. 
	ambientDirColor = gl_LightSource[0].diffuse * nxDir;	

	//Gets the material color for the frag shader
	gl_FrontColor = gl_FrontMaterial.diffuse;
} 